=== modified file 'lib/lp/buildmaster/model/buildfarmjobbehavior.py'
--- lib/lp/buildmaster/model/buildfarmjobbehavior.py	2011-12-30 01:14:33 +0000
+++ lib/lp/buildmaster/model/buildfarmjobbehavior.py	2011-12-30 02:24:09 +0000
@@ -17,12 +17,10 @@
 import xmlrpclib
 
 from twisted.internet import defer
-
 from zope.component import getUtility
 from zope.interface import implements
 from zope.security.proxy import removeSecurityProxy
 
-from lp.services.librarian.interfaces.client import ILibrarianClient
 from lp.buildmaster.interfaces.builder import (
     BuildSlaveFailure,
     CorruptBuildCookie,
@@ -33,6 +31,7 @@
     )
 from lp.services import encoding
 from lp.services.job.interfaces.job import JobStatus
+from lp.services.librarian.interfaces.client import ILibrarianClient
 
 
 class BuildFarmJobBehaviorBase:

=== modified file 'lib/lp/code/model/tests/test_codeimportjob.py'
--- lib/lp/code/model/tests/test_codeimportjob.py	2011-12-30 01:14:33 +0000
+++ lib/lp/code/model/tests/test_codeimportjob.py	2011-12-30 02:24:09 +0000
@@ -19,14 +19,7 @@
 from zope.component import getUtility
 from zope.security.proxy import removeSecurityProxy
 
-from lp.services.config import config
 from canonical.database.constants import UTC_NOW
-from lp.services.webapp import canonical_url
-from lp.services.librarian.interfaces.client import ILibrarianClient
-from lp.testing.layers import (
-    DatabaseFunctionalLayer,
-    LaunchpadFunctionalLayer,
-    )
 from lp.code.enums import (
     CodeImportEventType,
     CodeImportJobState,
@@ -46,7 +39,10 @@
     make_finished_import,
     make_running_import,
     )
+from lp.services.config import config
 from lp.services.librarian.interfaces import ILibraryFileAliasSet
+from lp.services.librarian.interfaces.client import ILibrarianClient
+from lp.services.webapp import canonical_url
 from lp.testing import (
     ANONYMOUS,
     login,
@@ -56,6 +52,10 @@
     with_anonymous_login,
     with_celebrity_logged_in,
     )
+from lp.testing.layers import (
+    DatabaseFunctionalLayer,
+    LaunchpadFunctionalLayer,
+    )
 from lp.testing.pages import get_feedback_messages
 
 

=== modified file 'lib/lp/codehosting/codeimport/workermonitor.py'
--- lib/lp/codehosting/codeimport/workermonitor.py	2011-12-30 01:14:33 +0000
+++ lib/lp/codehosting/codeimport/workermonitor.py	2011-12-30 02:24:09 +0000
@@ -22,15 +22,15 @@
 from twisted.web import xmlrpc
 from zope.component import getUtility
 
+from lp.code.enums import CodeImportResultStatus
+from lp.codehosting.codeimport.worker import CodeImportWorkerExitCode
 from lp.services.config import config
-from lp.services.webapp import errorlog
-from lp.xmlrpc.faults import NoSuchCodeImportJob
 from lp.services.librarian.interfaces.client import IFileUploadClient
-from lp.code.enums import CodeImportResultStatus
-from lp.codehosting.codeimport.worker import CodeImportWorkerExitCode
 from lp.services.twistedsupport.processmonitor import (
     ProcessMonitorProtocolWithTimeout,
     )
+from lp.services.webapp import errorlog
+from lp.xmlrpc.faults import NoSuchCodeImportJob
 
 
 class CodeImportWorkerMonitorProtocol(ProcessMonitorProtocolWithTimeout):

=== modified file 'lib/lp/hardwaredb/scripts/hwdbsubmissions.py'
--- lib/lp/hardwaredb/scripts/hwdbsubmissions.py	2011-12-30 01:14:33 +0000
+++ lib/lp/hardwaredb/scripts/hwdbsubmissions.py	2011-12-30 02:24:09 +0000
@@ -32,17 +32,7 @@
 from zope.interface import implements
 from zope.security.proxy import removeSecurityProxy
 
-from lp.services.config import config
-from lp.services.looptuner import (
-    ITunableLoop,
-    LoopTuner,
-    )
-from lp.services.webapp.errorlog import (
-    ErrorReportingUtility,
-    ScriptRequest,
-    )
 from canonical.lazr.xml import RelaxNGValidator
-from lp.services.librarian.interfaces.client import LibrarianServerError
 from lp.app.interfaces.launchpad import ILaunchpadCelebrities
 from lp.hardwaredb.interfaces.hwdb import (
     HWBus,
@@ -56,8 +46,18 @@
     IHWVendorNameSet,
     )
 from lp.hardwaredb.model.hwdb import HWSubmission
+from lp.services.config import config
+from lp.services.librarian.interfaces.client import LibrarianServerError
+from lp.services.looptuner import (
+    ITunableLoop,
+    LoopTuner,
+    )
 from lp.services.propertycache import cachedproperty
 from lp.services.scripts.base import disable_oops_handler
+from lp.services.webapp.errorlog import (
+    ErrorReportingUtility,
+    ScriptRequest,
+    )
 
 
 _relax_ng_files = {

=== modified file 'lib/lp/services/librarian/client.py'
--- lib/lp/services/librarian/client.py	2011-12-30 01:14:33 +0000
+++ lib/lp/services/librarian/client.py	2011-12-30 02:24:09 +0000
@@ -35,16 +35,11 @@
 from zope.component import getUtility
 from zope.interface import implements
 
+from canonical.database.postgresql import ConnectionString
 from lp.services.config import (
     config,
     dbconfig,
     )
-from canonical.database.postgresql import ConnectionString
-from lp.services.webapp.interfaces import (
-    IStoreSelector,
-    MAIN_STORE,
-    MASTER_FLAVOR,
-    )
 from lp.services.librarian.interfaces.client import (
     DownloadFailed,
     ILibrarianClient,
@@ -54,6 +49,11 @@
     UploadFailed,
     )
 from lp.services.timeline.requesttimeline import get_request_timeline
+from lp.services.webapp.interfaces import (
+    IStoreSelector,
+    MAIN_STORE,
+    MASTER_FLAVOR,
+    )
 
 
 def url_path_quote(filename):

=== modified file 'lib/lp/services/librarian/interfaces/__init__.py'
--- lib/lp/services/librarian/interfaces/__init__.py	2011-12-30 01:14:33 +0000
+++ lib/lp/services/librarian/interfaces/__init__.py	2011-12-30 02:24:09 +0000
@@ -34,7 +34,9 @@
     )
 
 from lp import _
-from lp.services.librarian.interfaces.client import LIBRARIAN_SERVER_DEFAULT_TIMEOUT
+from lp.services.librarian.interfaces.client import (
+    LIBRARIAN_SERVER_DEFAULT_TIMEOUT,
+    )
 
 # Set the expires attribute to this constant to flag a file that
 # should never be removed from the Librarian.

=== modified file 'lib/lp/services/librarian/model.py'
--- lib/lp/services/librarian/model.py	2011-12-30 01:14:33 +0000
+++ lib/lp/services/librarian/model.py	2011-12-30 02:24:09 +0000
@@ -46,7 +46,6 @@
     Interface,
     )
 
-from lp.services.config import config
 from canonical.database.constants import (
     DEFAULT,
     UTC_NOW,
@@ -56,12 +55,7 @@
     session_store,
     SQLBase,
     )
-from lp.services.librarian.interfaces.client import (
-    DownloadFailed,
-    ILibrarianClient,
-    IRestrictedLibrarianClient,
-    LIBRARIAN_SERVER_DEFAULT_TIMEOUT,
-    )
+from lp.services.config import config
 from lp.services.database.lpstorm import IMasterStore
 from lp.services.database.stormbase import StormBase
 from lp.services.librarian.interfaces import (
@@ -71,6 +65,12 @@
     ILibraryFileContent,
     ILibraryFileDownloadCount,
     )
+from lp.services.librarian.interfaces.client import (
+    DownloadFailed,
+    ILibrarianClient,
+    IRestrictedLibrarianClient,
+    LIBRARIAN_SERVER_DEFAULT_TIMEOUT,
+    )
 
 
 class LibraryFileContent(SQLBase):

=== modified file 'lib/lp/services/librarianserver/testing/fake.py'
--- lib/lp/services/librarianserver/testing/fake.py	2011-12-30 01:14:33 +0000
+++ lib/lp/services/librarianserver/testing/fake.py	2011-12-30 02:24:09 +0000
@@ -25,13 +25,13 @@
 import zope.component
 from zope.interface import implements
 
+from lp.services.config import config
+from lp.services.librarian.client import get_libraryfilealias_download_path
+from lp.services.librarian.interfaces import ILibraryFileAliasSet
 from lp.services.librarian.interfaces.client import (
     ILibrarianClient,
     LIBRARIAN_SERVER_DEFAULT_TIMEOUT,
     )
-from lp.services.config import config
-from lp.services.librarian.client import get_libraryfilealias_download_path
-from lp.services.librarian.interfaces import ILibraryFileAliasSet
 from lp.services.librarian.model import (
     LibraryFileAlias,
     LibraryFileContent,

=== modified file 'lib/lp/services/librarianserver/tests/test_doc.py'
--- lib/lp/services/librarianserver/tests/test_doc.py	2011-12-30 02:19:42 +0000
+++ lib/lp/services/librarianserver/tests/test_doc.py	2011-12-30 02:24:09 +0000
@@ -9,10 +9,10 @@
 
 import os
 
-from lp.testing.layers import LaunchpadZopelessLayer
-from lp.services.testing import build_test_suite
 from lp.services.librarianserver.libraryprotocol import FileUploadProtocol
 from lp.services.librarianserver.storage import WrongDatabaseError
+from lp.services.testing import build_test_suite
+from lp.testing.layers import LaunchpadZopelessLayer
 from lp.testing.systemdocs import (
     LayeredDocFileSuite,
     setUp,

=== modified file 'lib/lp/services/librarianserver/tests/test_sigdumpmem.py'
--- lib/lp/services/librarianserver/tests/test_sigdumpmem.py	2011-12-30 01:14:33 +0000
+++ lib/lp/services/librarianserver/tests/test_sigdumpmem.py	2011-12-30 02:24:09 +0000
@@ -8,9 +8,12 @@
 import os
 import time
 
-from lp.services.librarian.interfaces.client import DUMP_FILE, SIGDUMPMEM
+from lp.services.librarian.interfaces.client import (
+    DUMP_FILE,
+    SIGDUMPMEM,
+    )
+from lp.testing import TestCase
 from lp.testing.layers import LibrarianLayer
-from lp.testing import TestCase
 
 
 class SIGDUMPMEMTestCase(TestCase):

=== modified file 'lib/lp/services/librarianserver/tests/test_web.py'
--- lib/lp/services/librarianserver/tests/test_web.py	2011-12-30 02:19:42 +0000
+++ lib/lp/services/librarianserver/tests/test_web.py	2011-12-30 02:24:09 +0000
@@ -22,7 +22,6 @@
     flush_database_updates,
     session_store,
     )
-from lp.services.librarian.interfaces.client import DownloadFailed
 from lp.services.config import config
 from lp.services.database.lpstorm import IMasterStore
 from lp.services.librarian.client import (
@@ -30,6 +29,7 @@
     LibrarianClient,
     )
 from lp.services.librarian.interfaces import ILibraryFileAliasSet
+from lp.services.librarian.interfaces.client import DownloadFailed
 from lp.services.librarian.model import (
     LibraryFileAlias,
     TimeLimitedToken,

=== modified file 'lib/lp/services/mail/incoming.py'
--- lib/lp/services/mail/incoming.py	2011-12-30 01:14:33 +0000
+++ lib/lp/services/mail/incoming.py	2011-12-30 02:24:09 +0000
@@ -26,19 +26,6 @@
     directlyProvides,
     )
 
-from lp.services.mail.notification import (
-    send_process_error_notification,
-    )
-from lp.services.webapp.errorlog import (
-    ErrorReportingUtility,
-    ScriptRequest,
-    )
-from lp.services.webapp.interaction import (
-    get_current_principal,
-    setupInteraction,
-    )
-from lp.services.webapp.interfaces import IPlacelessAuthUtility
-from lp.services.librarian.interfaces.client import UploadFailed
 from lp.registry.interfaces.person import IPerson
 from lp.services.features import getFeatureFlag
 from lp.services.gpg.interfaces import (
@@ -46,6 +33,7 @@
     IGPGHandler,
     )
 from lp.services.identity.interfaces.account import AccountStatus
+from lp.services.librarian.interfaces.client import UploadFailed
 from lp.services.mail.handlers import mail_handlers
 from lp.services.mail.helpers import (
     ensure_sane_signature_timestamp,
@@ -54,8 +42,18 @@
     )
 from lp.services.mail.interfaces import IWeaklyAuthenticatedPrincipal
 from lp.services.mail.mailbox import IMailBox
+from lp.services.mail.notification import send_process_error_notification
 from lp.services.mail.sendmail import do_paranoid_envelope_to_validation
 from lp.services.mail.signedmessage import signed_message_from_string
+from lp.services.webapp.errorlog import (
+    ErrorReportingUtility,
+    ScriptRequest,
+    )
+from lp.services.webapp.interaction import (
+    get_current_principal,
+    setupInteraction,
+    )
+from lp.services.webapp.interfaces import IPlacelessAuthUtility
 
 # Match '\n' and '\r' line endings. That is, all '\r' that are not
 # followed by a '\n', and all '\n' that are not preceded by a '\r'.

=== modified file 'lib/lp/services/scripts/logger.py'
--- lib/lp/services/scripts/logger.py	2011-12-30 01:14:33 +0000
+++ lib/lp/services/scripts/logger.py	2011-12-30 02:24:09 +0000
@@ -46,10 +46,6 @@
 from zope.exceptions.log import Formatter
 
 from lp.services.config import config
-from lp.services.webapp.errorlog import (
-    globalErrorUtility,
-    ScriptRequest,
-    )
 from lp.services.librarian.interfaces.client import (
     ILibrarianClient,
     UploadFailed,
@@ -59,6 +55,10 @@
     compress_hash,
     utc_now,
     )
+from lp.services.webapp.errorlog import (
+    globalErrorUtility,
+    ScriptRequest,
+    )
 
 # Reexport our custom loglevels for old callsites. These callsites
 # should be importing the symbols from lp.services.log.loglevels

=== modified file 'lib/lp/services/temporaryblobstorage/browser.py'
--- lib/lp/services/temporaryblobstorage/browser.py	2011-12-30 01:14:33 +0000
+++ lib/lp/services/temporaryblobstorage/browser.py	2011-12-30 02:24:09 +0000
@@ -13,6 +13,12 @@
 from zope.component import getUtility
 from zope.interface import implements
 
+from lp.app.browser.launchpadform import (
+    action,
+    LaunchpadFormView,
+    )
+from lp.bugs.interfaces.apportjob import IProcessApportBlobJobSource
+from lp.services.librarian.interfaces.client import UploadFailed
 from lp.services.temporaryblobstorage.interfaces import (
     BlobTooLarge,
     ITemporaryBlobStorage,
@@ -20,12 +26,6 @@
     )
 from lp.services.webapp import GetitemNavigation
 from lp.services.webapp.interfaces import ICanonicalUrlData
-from lp.services.librarian.interfaces.client import UploadFailed
-from lp.app.browser.launchpadform import (
-    action,
-    LaunchpadFormView,
-    )
-from lp.bugs.interfaces.apportjob import IProcessApportBlobJobSource
 
 
 class TemporaryBlobStorageAddView(LaunchpadFormView):

=== modified file 'lib/lp/soyuz/model/queue.py'
--- lib/lp/soyuz/model/queue.py	2011-12-30 01:14:33 +0000
+++ lib/lp/soyuz/model/queue.py	2011-12-30 02:24:09 +0000
@@ -46,7 +46,6 @@
     SQLBase,
     sqlvalues,
     )
-from lp.services.librarian.interfaces.client import DownloadFailed
 from lp.app.errors import NotFoundError
 # XXX 2009-05-10 julian
 # This should not import from archivepublisher, but to avoid
@@ -62,6 +61,7 @@
     IMasterStore,
     IStore,
     )
+from lp.services.librarian.interfaces.client import DownloadFailed
 from lp.services.librarian.model import LibraryFileAlias
 from lp.services.librarian.utils import copy_and_close
 from lp.services.mail.signedmessage import strip_pgp_signature

=== modified file 'lib/lp/soyuz/scripts/ftpmaster.py'
--- lib/lp/soyuz/scripts/ftpmaster.py	2011-12-30 01:14:33 +0000
+++ lib/lp/soyuz/scripts/ftpmaster.py	2011-12-30 02:24:09 +0000
@@ -28,10 +28,6 @@
 from zope.component import getUtility
 
 from canonical.database.constants import UTC_NOW
-from lp.services.librarian.interfaces.client import (
-    ILibrarianClient,
-    UploadFailed,
-    )
 from lp.app.errors import NotFoundError
 from lp.archiveuploader.utils import determine_source_file_type
 from lp.registry.interfaces.person import IPersonSet
@@ -41,6 +37,10 @@
 from lp.services.browser_helpers import get_plural_text
 from lp.services.helpers import filenameToContentType
 from lp.services.librarian.interfaces import ILibraryFileAliasSet
+from lp.services.librarian.interfaces.client import (
+    ILibrarianClient,
+    UploadFailed,
+    )
 from lp.services.librarian.utils import copy_and_close
 from lp.services.scripts.base import (
     LaunchpadScript,

=== modified file 'lib/lp/testing/librarianhelpers.py'
--- lib/lp/testing/librarianhelpers.py	2011-12-30 01:14:33 +0000
+++ lib/lp/testing/librarianhelpers.py	2011-12-30 02:24:09 +0000
@@ -11,13 +11,13 @@
 from storm.expr import Desc
 from zope.component import getUtility
 
+from lp.services.librarian.interfaces.client import ILibrarianClient
+from lp.services.librarian.model import LibraryFileAlias
 from lp.services.webapp.interfaces import (
     DEFAULT_FLAVOR,
     IStoreSelector,
     MAIN_STORE,
     )
-from lp.services.librarian.interfaces.client import ILibrarianClient
-from lp.services.librarian.model import LibraryFileAlias
 
 
 def get_newest_librarian_file():

=== modified file 'lib/lp/testing/tests/test_layers_functional.py'
--- lib/lp/testing/tests/test_layers_functional.py	2011-12-30 01:14:33 +0000
+++ lib/lp/testing/tests/test_layers_functional.py	2011-12-30 02:24:09 +0000
@@ -32,12 +32,12 @@
     )
 
 from canonical.lazr.pidfile import pidfile_path
-from lp.services.librarian.interfaces.client import ILibrarianClient
 from lp.services.config import config
 from lp.services.librarian.client import (
     LibrarianClient,
     UploadFailed,
     )
+from lp.services.librarian.interfaces.client import ILibrarianClient
 from lp.services.memcache.client import memcache_client_factory
 from lp.testing.layers import (
     AppServerLayer,

=== modified file 'lib/lp/translations/model/translationimportqueue.py'
--- lib/lp/translations/model/translationimportqueue.py	2011-12-30 01:14:33 +0000
+++ lib/lp/translations/model/translationimportqueue.py	2011-12-30 02:24:09 +0000
@@ -55,12 +55,6 @@
     SQLBase,
     sqlvalues,
     )
-from lp.services.database.lpstorm import (
-    IMasterStore,
-    ISlaveStore,
-    IStore,
-    )
-from lp.services.librarian.interfaces.client import ILibrarianClient
 from lp.app.errors import NotFoundError
 from lp.app.interfaces.launchpad import ILaunchpadCelebrities
 from lp.app.interfaces.security import IAuthorization
@@ -75,6 +69,12 @@
 from lp.registry.interfaces.role import IPersonRoles
 from lp.registry.interfaces.series import SeriesStatus
 from lp.registry.interfaces.sourcepackage import ISourcePackage
+from lp.services.database.lpstorm import (
+    IMasterStore,
+    ISlaveStore,
+    IStore,
+    )
+from lp.services.librarian.interfaces.client import ILibrarianClient
 from lp.services.worlddata.interfaces.language import ILanguageSet
 from lp.translations.enums import RosettaImportStatus
 from lp.translations.interfaces.pofile import IPOFileSet

=== modified file 'lib/lp/translations/scripts/language_pack.py'
--- lib/lp/translations/scripts/language_pack.py	2011-12-30 01:14:33 +0000
+++ lib/lp/translations/scripts/language_pack.py	2011-12-30 02:24:09 +0000
@@ -26,11 +26,11 @@
     cursor,
     sqlvalues,
     )
+from lp.registry.interfaces.distribution import IDistributionSet
 from lp.services.librarian.interfaces.client import (
     ILibrarianClient,
     UploadFailed,
     )
-from lp.registry.interfaces.distribution import IDistributionSet
 from lp.services.tarfile_helpers import LaunchpadWriteTarFile
 from lp.translations.enums import LanguagePackType
 from lp.translations.interfaces.languagepack import ILanguagePackSet

=== modified file 'utilities/smoke-test-librarian.py'
--- utilities/smoke-test-librarian.py	2011-12-30 02:19:42 +0000
+++ utilities/smoke-test-librarian.py	2011-12-30 02:24:09 +0000
@@ -6,7 +6,7 @@
 """Perform simple librarian operations to verify the current configuration.
 """
 
-import _pythonpath # Not lint, actually needed.
+import _pythonpath
 
 import sys
 

